Bug 228248 - databases/sqlcipher fails to buid with libressl 2.7.x
Summary: databases/sqlcipher fails to buid with libressl 2.7.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-05-14 14:01 UTC by tjlegg
Modified: 2018-06-11 18:43 UTC (History)
2 users (show)

See Also:
jharris: maintainer-feedback+


Attachments
svn diff for databases/sqlcipher (2.18 KB, patch)
2018-06-09 09:33 UTC, Bernard Spil
brnrd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tjlegg 2018-05-14 14:01:04 UTC
Haven't looked to see the background on these conflicting definitions (both libressl 2.7.2 and 2.7.3 with sqlcipher 3.4.2)

sqlcipher compile failure
sqlite3.c:21642:18: error: static declaration of 'HMAC_CTX_new' follows non-static declaration
static HMAC_CTX *HMAC_CTX_new(void)
                 ^
/usr/local/include/openssl/hmac.h:86:11: note: previous declaration is here
HMAC_CTX *HMAC_CTX_new(void);
          ^
sqlite3.c:21655:13: error: static declaration of 'HMAC_CTX_free' follows non-static declaration
static void HMAC_CTX_free(HMAC_CTX *ctx)
            ^
/usr/local/include/openssl/hmac.h:87:6: note: previous declaration is here
void HMAC_CTX_free(HMAC_CTX *ctx);
Comment 1 Bernard Spil freebsd_committer 2018-06-09 09:33:00 UTC
Created attachment 194093 [details]
svn diff for databases/sqlcipher

From: https://github.com/gentoo/libressl/pull/232
Comment 2 Bernard Spil freebsd_committer 2018-06-09 09:34:39 UTC
Hi jharris,

Let me know if this patch is OK, then I can commit it to ports.

Cheers, Bernard.
Comment 3 jharris 2018-06-11 15:54:21 UTC
Builds fine, make test from sqlcipher/work/sqlcipher-3.4.2 seems OK.  Approved.

Thanks!
Comment 4 commit-hook freebsd_committer 2018-06-11 18:35:33 UTC
A commit references this bug:

Author: brnrd
Date: Mon Jun 11 18:35:26 UTC 2018
New revision: 472199
URL: https://svnweb.freebsd.org/changeset/ports/472199

Log:
  databases/sqlcipher: Fix build with LibreSSL 2.7

   - LibreSSL 2.7 adds OpenSSL 1.1 ABI

  PR:		228248
  Approved by:	maintainer (jharris widomaker com)

Changes:
  head/databases/sqlcipher/files/
  head/databases/sqlcipher/files/patch-sqlcipher-libressl-2.7
Comment 5 Bernard Spil freebsd_committer 2018-06-11 18:43:32 UTC
Thanks!